        page    66,80
        TITLE   PrtScOff.COM 1.8 turns off PrtSc
comment 
works with MASM 5.0 and Optasm

Please report bugs and problems to:

Roedy Green
Canadian Mind Products
#208 - 525 Ninth Street
New Westminster BC Canada
V5H 2N6
tel:(604) 777-1804
mailto:roedy@mindprod.com
http://mindprod.com

Version 1.8 1998 November 8
- embed Barker address

Version 1.7 1996 October 25
- embed POB 707 Quathiaski Cove address

Version 1.6
- embed new address and phone

Version 1.5 1989 December 15 by Roedy Green
- Based on DEBUG code by drifkind

This method will not disable a PrtSc hooked up to a remote
LAN printer.
; 

; M A C R O S

CR      MACRO   ; Carriage return line feed
        DB 0dh,0ah
        ENDM

;======

EOS     MACRO   ; marks end of display string
        DB 0dh,0ah,'$'
        ENDM

;======

BIOSDATA    segment AT 40h      ; dummy segment in low RAM
            org     100h
PrtScFlag   db      0           ; Where DOS tracks whether a PrtSc
BIOSDATA    ends                ; is in progress

CODE    segment public
        assume  cs:code,ss:code,ds:code
        org     100h
;==========================
Start   proc    far
        mov     ax,BIOSDATA
        mov     ds,ax
        assume  ds:BIOSDATA
        mov     PrtScFlag,01h   ; Fool DOS into thinking a PrtSc is in
                                ; progress already.
QUIT:   MOV     AX,4C00H        ; EXIT back to DOS
        INT     21H
Start   endp
;==========================

CopyrightMsg    label byte      ; does not display
        CR
        DB      ' PrtScOff 1.8  ۲'
        CR
        DB      'Freeware to disable the PrtSc function.'
        CR
        DB      'usage:  PrtScOff'
        CR
        DB      'Copyright (c) 1989-1999 Roedy Green Canadian Mind Products'
        CR
        DB      '#208 - 525 Ninth Street, New Westminster, BC Canada V3M 5T9',13,10
        DB      'tel:(604) 777-1804   mailto:roedy@mindprod.com   http://mindprod.com',13,10
        DB      'May be freely distributed and used for any purpose except military.'
        EOS

CODE    ends                    ; end of code segment
        end     Start
